<?php
/**
 * FluentC WordPress Plugin File.
 *
 * This file contains the TranslatableNode interface.
 *
 * @package FluentCPlugin
 * @author  FluentC <wp@fluentc.io>
 */

namespace FluentC\Models;

if (! defined('ABSPATH') ) {
    exit;
}

/**
 * TranslatableNode Interface
 *
 * Defines the contract for nodes that can be translated.
 */
interface Translatable_Node {
    public function getContent(): string;
    public function getPosition(): int;
    public function setTranslatedContent(string $translatedContent): void;
    public function getTranslatedContent(): ?string;
}